#!/bin/bash
# perform grid of geometry optimizations
cp2k='cp2k.popt'
N=15

echo "   phi    psi"
rm -rf epot out.*.* inp.*.* opt.*.*
cp glyala.pdb tmp.pdb

for i in `seq 0 $N`; do
  a1=`echo -180 + 360 / $N \* $i | bc -l `
  for j in `seq 0 $N`; do 
    a2=`echo -180 + 360 / $N \* $j | bc -l ` 
    echo $a1 $a2 | awk '{printf "%6d %6d\n", $1, $2}'
    sed "s/_A1_/$a1/g;s/_A2_/$a2/g" < geo.in > inp.$i.$j
    #mpiexec -np ${NSLOTS} /home/apps/cp2k/bin/cp2k.popt -i inp.$i.$j > out.$i.$j
    $cp2k -i inp.$i.$j -o out.$i.$j
    tail -23 run-ALDI-GOPT-pos-1.pdb > opt.$i.$j.pdb
    cp opt.$i.$j.pdb tmp.pdb
    af1=`grep -A 2 '&COLVAR_RESTART' run-ALDI-GOPT-1.restart | head -2 | tail -1 `
    af2=`grep -A 2 '&COLVAR_RESTART' run-ALDI-GOPT-1.restart | tail -1 ` 
    ef=`grep 'ENERGY|' out.$i.$j  | tail -1 | awk '{print $9}' `
    echo $af1 $af2 $ef | \
      awk '{printf "%6.1f %6.1f %12.6f\n", $1*180/3.1415926, $2*180/3.1415926, $3}' >> epot
 
    rm inp.$i.$j out.$i.$j opt.$i.$j.pdb 
  done
  echo " " >> epot
done
